Subject: Re: linux-next: build failure after merge of the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 31 May 2018 07:38:55 +1000

Hi all,

On Tue, 29 May 2018 13:25:48 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the net-next tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> x86_64-linux-ld: unknown architecture of input file `net/bpfilter/bpfilter_umh.o' is incompatible with i386:x86-64 output
> 
> Caused by commit
> 
>   d2ba09c17a06 ("net: add skeleton of bpfilter kernel module")
> 
> In my builds, the host is PowerPC 64 LE ...
> 
> I have reverted that commit along with
> 
>   61a552eb487f ("bpfilter: fix build dependency")
>   13405468f49d ("bpfilter: don't pass O_CREAT when opening console for debug")
> 
> for today.

I am still getting this failure (well, at least yesterday I did).

-- 
Cheers,
Stephen Rothwell